﻿@model discussion.Models.Course

@{
    ViewData["Title"] = "Add Course";
}

<h1 class="text-center">Add Course</h1>

<div class="row">
    <div class="col-md-4 offset-md-4 fw-bold">
        <form asp-action="Create">

            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group mb-3">
                <label asp-for="Title" class="control-label"></label>
                <input asp-for="Title" class="form-control" />
                <span asp-validation-for="Title" class="text-danger"></span>
            </div>

            <div class="form-group mb-3">
                <label asp-for="Stack" class="control-label"></label>
                @*<select asp-for="Stack" class="form-control"></select>*@
                <select asp-for="Stack" asp-items="Html.GetEnumSelectList<Stack>()" class="form-select"></select>
                <span asp-validation-for="Stack" class="text-danger"></span>
            </div>

            <div class="form-group mb-3">
                <label asp-for="Description" class="control-label"></label>
                <input asp-for="Description" class="form-control" />
                <span asp-validation-for="Description" class="text-danger"></span>
            </div>

            <div class="form-group mb-3">
                <label asp-for="Price" class="control-label"></label>
                <input asp-for="Price" class="form-control" />
                <span asp-validation-for="Price" class="text-danger"></span>
            </div>

            <div class="form-group mb-3">
                <label asp-for="StackUrl" class="control-label"></label>
                <input asp-for="StackUrl" class="form-control" />
                <span asp-validation-for="StackUrl" class="text-danger"></span>
            </div>

            <div class="form-group mb-3">
                <label asp-for="Logo" class="control-label"></label>
                <input asp-for="Logo" class="form-control" />
                <span asp-validation-for="Logo" class="text-danger"></span>
            </div>

            <div class="form-group text-center">
                <button class="btn btn-success" type="submit">
                    Add Course
                </button>
                <button class="btn btn-danger" type="button">
                    <a class="text-light text-decoration-none" asp-action="Index">Back to Courses</a>
                </button>
            </div>

        </form>
    </div>
</div>

@section Scripts {
    @{
        await Html.RenderPartialAsync("_ValidationScriptsPartial");
    }
        }